<template>
  <div class="app-subcamp layout-container">
    <div class="form-block text-center">
      <div class="h2 d-block p-2" style="border-radius: 30px; background-color: #f2f2f2; color:#0a1834">
        กรุณาเลือกค่าย
      </div>
      <div class="form-subcamp">
        <ul class="row m-0">
          <li class="col subcamp" id="subcamp1">
            <router-link :to="{ name: 'Reg_Subcamp_Game' }">
              <div class="image-block" @click="subcampActive('subcamp1')">
                <img src="../../../assets/images/frontend/camo-menu-3.svg">
              </div>
            </router-link>
          </li>
          <li class="col subcamp" id="subcamp2">
            <router-link :to="{ name: 'Reg_Subcamp_Iot' }">
              <div class="image-block" @click="subcampActive('subcamp2')">
                <img src="../../../assets/images/frontend/camo-menu-1.svg">
              </div>
            </router-link>
          </li>
          <li class="col subcamp" id="subcamp3">
            <router-link :to="{ name: 'Reg_Subcamp_Network' }">
              <div class="image-block" @click="subcampActive('subcamp3')">
                <img src="../../../assets/images/frontend/camo-menu-2.svg">
              </div>
            </router-link>
          </li>
          <li class="col subcamp active" id="subcamp4">
            <router-link :to="{ name: 'Reg_Subcamp_App' }">
              <div class="image-block" @click="subcampActive('subcamp4')">
                <img src="../../../assets/images/frontend/camo-menu-0.svg">
              </div>
            </router-link>
          </li>
          <li class="col subcamp" id="subcamp5">
            <router-link :to="{ name: 'Reg_Subcamp_Data' }">
              <div class="image-block" @click="subcampActive('subcamp5')">
                <img src="../../../assets/images/frontend/camo-menu-4.svg">
              </div>
            </router-link>
          </li>
        </ul>
      </div>
    </div>
    <transition name="fade" mode="out-in">
      <router-view/>
    </transition>
  </div>
</template>

<script>
import { mapState } from 'vuex';
import Swal from 'sweetalert2';
export default {
  name: 'Subcamp',
  data() {
    return {
      submit: {},
      currentCamp: 'GAME ORION'
    };
  },
  computed: {
    ...mapState(['form', 'forcePage'])
  },
  mounted() {
    this.subcampActive('subcamp2');
    switch (this.forcePage) {
      case 'Reg_Subcamp_Game':
        this.subcampActive('subcamp1');
        break;
      case 'Reg_Subcamp_Iot':
        this.subcampActive('subcamp2');
        break;
      case 'Reg_Subcamp_Network':
        this.subcampActive('subcamp3');
        break;
      case 'Reg_Subcamp_App':
        this.subcampActive('subcamp4');
        break;
      case 'Reg_Subcamp_Data':
        this.subcampActive('subcamp5');
        break;
    }
    setTimeout(function() {
      Swal({
        title: 'คำแนะนำการเลือกค่าย',
        text: 'น้องๆ สามารถเลือกค่ายได้เพียงค่ายเดียวเท่านั้น โดยการเลือก จะอิงจากหน้าที่น้องกด Submit',
        type: 'info'
      });
    }, 500);
  },
  methods: {
    subcampActive(elem) {
      $('.subcamp').removeClass('active');
      $('#' + elem).addClass('active');
      this.subcampBgColor(elem);
    },
    subcampBgColor(elem) {
      let target = $('.app-subcamp');
      let time = 0.6;
      switch (elem) {
        case 'subcamp1':
          this.currentCamp = 'GAME ORION';
          TweenLite.to('.app-subcamp', time, {
            backgroundImage: '-webkit-linear-gradient(250deg, #006837, #8cc63f)'
          });
          break;
        case 'subcamp2':
          this.currentCamp = 'I-OPOLLO';
          TweenLite.to('.app-subcamp', time, {
            backgroundImage: '-webkit-linear-gradient(250deg, #f17e2c, #ffef6a)'
          });
          break;
        case 'subcamp3':
          this.currentCamp = 'NETWORK STELLAR';
          TweenLite.to('.app-subcamp', time, {
            backgroundImage: '-webkit-linear-gradient(250deg, #77272d, #ed3d24)'
          });
          break;
        case 'subcamp4':
          this.currentCamp = 'APPLIDANUS';
          TweenLite.to('.app-subcamp', time, {
            backgroundImage: '-webkit-linear-gradient(250deg, #514a9d, #24c6dc)'
          });
          break;
        case 'subcamp5':
          this.currentCamp = 'DTA48';
          TweenLite.to('.app-subcamp', time, {
            backgroundImage: '-webkit-linear-gradient(250deg, #3c1053, #ad5389)'
          });
          break;
      }
    }
  }
};
</script>

<style>
.app-subcamp {
  background-image: -webkit-linear-gradient(250deg, #006837, #8cc63f);
}
.fade-enter-active,
.fade-leave-active {
  transition: opacity 0.3s ease;
}
.fade-enter,
.fade-leave-active {
  opacity: 0;
}
